From db4d44fc63a6d275bcc94f47b61d8d82827a9afd Mon Sep 17 00:00:00 2001
Message-Id: <db4d44fc63a6d275bcc94f47b61d8d82827a9afd.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:38:46 +0200
Subject: [PATCH 058/114] Revert "qemu-ga: align versioning with QEMU_VERSION"

This reverts commit 40477084df0b2f1b1f4c53e4b00bc5f1e3520c6d.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qemu-ga.c              | 4 ++--
 qga/commands.c         | 2 +-
 qga/guest-agent-core.h | 1 +
 3 files changed, 4 insertions(+), 3 deletions(-)

diff --git a/qemu-ga.c b/qemu-ga.c
index e3c1929..2f7f598 100644
--- a/qemu-ga.c
+++ b/qemu-ga.c
@@ -169,7 +169,7 @@ static void usage(const char *cmd)
 "  -h, --help        display this help and exit\n"
 "\n"
 "Report bugs to <mdroth@linux.vnet.ibm.com>\n"
-    , cmd, QEMU_VERSION, QGA_VIRTIO_PATH_DEFAULT, QGA_PIDFILE_DEFAULT,
+    , cmd, QGA_VERSION, QGA_VIRTIO_PATH_DEFAULT, QGA_PIDFILE_DEFAULT,
     QGA_STATEDIR_DEFAULT);
 }
 
@@ -729,7 +729,7 @@ int main(int argc, char **argv)
             log_level = G_LOG_LEVEL_MASK;
             break;
         case 'V':
-            printf("QEMU Guest Agent %s\n", QEMU_VERSION);
+            printf("QEMU Guest Agent %s\n", QGA_VERSION);
             return 0;
         case 'd':
             daemonize = 1;
diff --git a/qga/commands.c b/qga/commands.c
index bf95e91..23d188f 100644
--- a/qga/commands.c
+++ b/qga/commands.c
@@ -52,7 +52,7 @@ struct GuestAgentInfo *qmp_guest_info(Error **err)
     GuestAgentCommandInfoList *cmd_info_list;
     char **cmd_list_head, **cmd_list;
 
-    info->version = g_strdup(QEMU_VERSION);
+    info->version = g_strdup(QGA_VERSION);
 
     cmd_list_head = cmd_list = qmp_get_command_list();
     if (*cmd_list_head == NULL) {
diff --git a/qga/guest-agent-core.h b/qga/guest-agent-core.h
index 49a7abe..6dba104 100644
--- a/qga/guest-agent-core.h
+++ b/qga/guest-agent-core.h
@@ -13,6 +13,7 @@
 #include "qapi/qmp-core.h"
 #include "qemu-common.h"
 
+#define QGA_VERSION "1.0"
 #define QGA_READ_COUNT_DEFAULT 4096
 
 typedef struct GAState GAState;
-- 
1.7.11.7

